<?php
// WizyTówka - admin/ustawienia.php
if ( !defined('WT') ) exit();

if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

  if ( $b == 'zmiana-hasla' ) {
    if ( !empty($_POST['haslo_nowe_1']) and 
          $_POST['haslo_nowe_1'] == $_POST['haslo_nowe_2'] and 
          przygotuj_haslo($_POST['haslo_dotychczasowe']) == odczyt_konf('uzytkownik','haslo') ) {
      zapis_konf_poj('uzytkownik','haslo',przygotuj_haslo($_POST['haslo_nowe_1']));
      $admin_naglowek['komunikat'] = 'dob.Hasło zostało zmienione.';
    }
    else
      $admin_naglowek['komunikat'] = 'zle.Podano nieprawidłowe hasła.';
  }

  else {
  
    if ( !sprawdz_adres($_POST['adres']) ) {
      $_POST['adres'] = $_POST['adres_dotychczasowy'];
      $admin_naglowek['komunikat'] = 'zle.Podano nieprawidłowy adres strony.';
    }
    elseif ( !sprawdz_email($_POST['email']) ) {
      $_POST['email'] = $_POST['email_dotychczasowy'];
      $admin_naglowek['komunikat'] = 'zle.Podano nieprawidłowy adres e-mail.';
    }
    else
      $admin_naglowek['komunikat'] = 1;
        
    if ( $_POST['adres'][strlen($_POST['adres'])-1] == '/' ) {
      $_POST['adres'] = substr( $_POST['adres'], 0, strlen($_POST['adres'])-1 );
    }
  
    if ( ($_POST['przyjazne_adresy_dotychczasowe'] != $_POST['przyjazne_adresy'] or $_POST['adres_dotychczasowy'] != $_POST['adres'])
         and $_POST['przyjazne_adresy'] ) {
      if ( !is_writable('.') ) {
        $admin_naglowek['komunikat'] = 2;
        $_POST['przyjazne_adresy'] = 0;
      }
      else {
        $adres = explode( '/', substr($_POST['adres'],7) );
        if ( count($adres) == 1 )
          $dopis = '';
        else
          $dopis = $adres[count($adres)-1];
        zapisz_plik ( '.htaccess', 'RewriteEngine on' . "\n" . 'RewriteBase /' . $dopis . "\n\n" . 'RewriteCond %{REQUEST_FILENAME} !-f' . "\n" . 'RewriteCond %{REQUEST_FILENAME} !-d' . "\n" . 'RewriteRule /?([A-Za-z0-9-]+)/?$ index.php?a=$1 [QSA,L]' );
      }
    }
    if ( $_POST['przyjazne_adresy_dotychczasowe'] != $_POST['przyjazne_adresy'] and !$_POST['przyjazne_adresy'] ) {
      if ( file_exists('.htaccess') )
      usun_plik( '.htaccess' );
    }
    
    if ( $_POST['edytor'] )
      $_POST['markdown'] = 0;
    
    zapis_konf('ustawienia',$_POST);
    
    if ( ($_POST['generuj_mape_strony'] and !$_POST['generuj_mape_strony_dotychczasowe']) or
         ($_POST['generuj_mape_strony'] and $_POST['przyjazne_adresy_dotychczasowe'] != $_POST['przyjazne_adresy']) ) {
      if ( !is_writable('.') )
        $admin_naglowek['komunikat'] = 'zle.Mapa witryny nie została utworzona.';
      else {
        sitemapa();
        $admin_naglowek['komunikat'] = 'dob.Mapa witryny: <a href="sitemap.xml" target="_blank">sitemap.xml</a>.';
      }
    }
    elseif ( !$_POST['generuj_mape_strony'] and $_POST['generuj_mape_strony_dotychczasowe'] ) {
      if ( file_exists('sitemap.xml') )
        usun_plik( 'sitemap.xml' );
    }
    
  }

}

$odczyt = odczyt_konf ('ustawienia');

$admin_naglowek['tytul'] = 'Ustawienia';
include('_naglowek.php');
?>

<form method="post">

<?php if ( $b == 'zmiana-hasla' ) { ?>
<table>

<caption>Zmiana hasła</caption>

<tr> <td>Dotychczasowe hasło:</td> <td><input type="password" name="haslo_dotychczasowe" required /></td> </tr>
<tr> <td>Nowe hasło dwukrotnie:</td> <td><input type="password" name="haslo_nowe_1" required /></td> </tr>
<tr> <td></td> <td><input type="password" name="haslo_nowe_2" required /></td> </tr>

</table>
<?php } else { ?>
<table>

<caption>Ustawienia główne</caption>

<tr> <td>Tytuł strony:</td> <td><input type="text" name="tytul" value="<?php echo $odczyt['tytul'] ?>" required /></td> </tr>
<tr> <td>Układ tytułu:</td> <td><input type="text" name="uklad_tytulu" value="<?php echo $odczyt['uklad_tytulu'] ?>" required  title="%s &mdash; tytuł podstrony" /></td> </tr>
<tr> <td>Autor strony:</td> <td><input type="text" name="autor" value="<?php echo $odczyt['autor'] ?>" required /></td> </tr>
<tr> <td>Adres strony:</td> <td><input type="url" name="adres" value="<?php echo $odczyt['adres'] ?>" required  /></td> </tr>
<tr> <td>Strona główna:</td> <td>

<select name="strona_glowna">
<?php
$tablica_identyfikatory = wszystkie_podstrony();
$liczba_stron = count($tablica_identyfikatory);
if ( $liczba_stron > 0 ) {
  foreach ( $tablica_identyfikatory as $numer => $element ) {
    $podstrona = odczyt_podstrona($element,false);
    $tablica_nazwy[$numer] = $podstrona['tytul_podstrony'];
  }
}

$podstrona = odczyt_podstrona ($odczyt['strona_glowna'],false);
if (!$podstrona)
  $podstrona['tytul_podstrony'] = '(brak)';

echo '<optgroup label="Wybrane"><option class="wybrane" value="'.$odczyt['strona_glowna'].'">'.$podstrona['tytul_podstrony'].'</option></optgroup>';
echo '<optgroup label="Podstrony">';
generuj_optgroup ($tablica_nazwy, $tablica_identyfikatory);
echo '</optgroup>';
?>

</select>

</td> </tr>

</table>

<input type="hidden" name="email_dotychczasowy" value="<?php echo $odczyt['email'] ?>" />
<input type="hidden" name="adres_dotychczasowy" value="<?php echo $odczyt['adres'] ?>" />

<table>

<caption>Modyfikacja tekstu</caption>

<tr> <td><label><input type="checkbox" name="typografia_cudzyslowy" value="1" <?php zaznacz_checkbox ($odczyt['typografia_cudzyslowy']) ?> />automatyczna poprawa cudzysłowów</label></td> <td><label><input type="checkbox" name="typografia_pozostale" value="1" <?php zaznacz_checkbox ($odczyt['typografia_pozostale']) ?> />automatyczna poprawa innych znaków</label></td> </tr>
<tr> <td><label><input type="checkbox" name="typografia_spojniki" value="1" <?php zaznacz_checkbox ($odczyt['typografia_spojniki']) ?> />przenoszenie spójników z końca wiersza</label></td> <td><label><input type="checkbox" name="markdown" value="1" <?php zaznacz_checkbox ($odczyt['markdown']); if ($odczyt['edytor']) echo 'disabled' ?> />formatowanie językiem <a href="?a=informacje&b=markdown&kod=<?php echo $kod ?>">markdown</a></label></td> </tr>

</table>

<table>

<caption>Pozostałe ustawienia</caption>

<tr> <td>Adres e-mail:</td> <td><input type="text" name="email" value="<?php echo $odczyt['email'] ?>" /></td> </tr>
<tr> <td>Format daty:</td> <td><input type="text" name="format_daty" list="format_daty" value="<?php echo $odczyt['format_daty'] ?>" required /></td> </tr>
<tr> <td><label><input type="checkbox" name="przyjazne_adresy" value="1" <?php zaznacz_checkbox ($odczyt['przyjazne_adresy']) ?> />przyjazne adresy</label></td> <td><label><input type="checkbox" name="przerwa_techniczna" value="1" <?php zaznacz_checkbox ($odczyt['przerwa_techniczna']) ?> />przerwa techniczna (wyłącz witrynę)</label></td> </tr>
<tr> <td><label><input type="checkbox" name="promocja_wt" value="1" <?php zaznacz_checkbox ($odczyt['promocja_wt']) ?> />odnośnik promujący WizyTówkę</label></td> <td><label><input type="checkbox" name="ostatnia_aktualizacja" value="1" <?php zaznacz_checkbox ($odczyt['ostatnia_aktualizacja']) ?> />pokazuj datę ostatniej aktualizacji</label></td> </tr>

</table>

<input type="hidden" name="przyjazne_adresy_dotychczasowe" value="<?php echo $odczyt['przyjazne_adresy'] ?>" />

<p class="info">Format daty powinien być zgodny z funkcją <code>date()</code>. Więcej na <a href="http://www.php.net/manual/pl/function.date.php" target="_blank">php.net</a>.</p>
<p class="info">Przyjazne adresy nie zawierają zbędnych znaków. Na przykład zamiast <em>jaknowalski.pl/?id=o-mnie</em> dostępny jest adres <em>jaknowalski.pl/o-mnie</em>.</p>

<datalist id="format_daty">
<option label="01.01.2001 01:01:01" value="d.m.Y H:i:s">
<option label="1.01.2001, 1:01:01" value="j.m.Y, G:i:s">
<option label="2001-01-01 01:01:01" value="Y-m-d H:i:s">
</datalist>

<table>

<caption>Informacje dla wyszukiwarek</caption>

<tr> <td>Opis:</td> <td><textarea name="opis"><?php echo $odczyt['opis'] ?></textarea></td> </tr>
<tr> <td>Słowa kluczowe:</td> <td><textarea name="slowa_kluczowe"><?php echo $odczyt['slowa_kluczowe'] ?></textarea></td> </tr>
<tr> <td><label><input type="checkbox" name="nie_indeksuj_strony" value="1" <?php zaznacz_checkbox ($odczyt['nie_indeksuj_strony']) ?> />nie indeksuj strony w wyszukiwarkach</label></td> <td><label><input type="checkbox" name="generuj_mape_strony" value="1" <?php zaznacz_checkbox ($odczyt['generuj_mape_strony']) ?> />generuj automatycznie mapę witryny</label></td> </tr>

</table>

<input type="hidden" name="generuj_mape_strony_dotychczasowe" value="<?php echo $odczyt['generuj_mape_strony'] ?>" />

<p class="info">Słowa kluczowe należy rodzielić przecinkami. Opis powinien mieć maksymalnie 150 znaków.</p>

<table>

<caption>Ustawienia użytkownika</caption>

<tr> <td><label><input type="checkbox" name="edytor" value="1" <?php zaznacz_checkbox ($odczyt['edytor']) ?> />edytor wizualny NicEdit</label></td> <td><label><input type="checkbox" name="pomoc_poczatkujacy" value="1" <?php zaznacz_checkbox ($odczyt['pomoc_poczatkujacy']) ?> />wskazówki dla początkujących</label></td> </tr>
<tr> <td><label><input type="checkbox" name="kontrast" value="1" <?php zaznacz_checkbox ($odczyt['kontrast']) ?> />kontrastowy panel administracyjny</label></td> <td><label><input type="checkbox" name="reset_hasla" value="1" <?php zaznacz_checkbox ($odczyt['reset_hasla']) ?> />możliwość resetowania hasła</label></td> </tr>
<tr> <td><label><input type="checkbox" name="link_edycja" value="1" <?php zaznacz_checkbox ($odczyt['link_edycja']) ?> />bezpośredni odnośnik do edycji podstron</label></td> <td></td> </tr>

</table>

<p class="info">Włączenie wizualnego edytora HTML uniemożliwia korzystanie z języka markdown.</p>
<?php } ?>

<p class="submit">
<input type="submit" value="<?php echo ($b == 'zmiana-hasla') ? 'Zmień hasło' : 'Zapisz zmiany' ?>" />
<?php if ($b != 'zmiana-hasla') { ?><a href="?a=ustawienia&b=zmiana-hasla&kod=<?php echo $kod ?>">Zmiana hasła</a><?php } ?>
</p>


</form>

<?php
include('_stopka.php');